import { UploadFile } from "@/api";

export const customUploadRequest = async (options: any) => {
  try {
    const formData = new FormData();
    formData.append("file", options.file);
    const res = await UploadFile(formData);
    options.onSuccess(res.result?.[0]);
  } catch (error) {
    options.onError(new Error("上传失败"));
  }
};

/**
 * 获取日期格式化分组
 * @param dateVal 日期
 * @returns 
 */
export function getDateGroupString(dateVal: Date | string): string {
  const normalizeDate = (date: Date | string): Date => {
    const d = new Date(date);
    d.setHours(0, 0, 0, 0);
    return d;
  };

  const now = normalizeDate(new Date()); // 当前日期归一化

  const itemDate = normalizeDate(new Date(dateVal));
  const diffTime = now.getTime() - itemDate.getTime();
  const diffDays = Math.floor(diffTime / (1000 * 3600 * 24));

  if (diffDays === 0) {
    return "今日";
  } else if (diffDays === 1) {
    return "昨日";
  } else if (diffDays <= 6) {
    return "7日内";
  } else if (diffDays <= 29) {
    return "30日内";
  } else {
    return "更久~";
  }
}
